> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://walmart.postmansolutions.com/us-marketplace/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://walmart.postmansolutions.com/us-marketplace/_mcp/server.

# Retrieves a list of packing options for an inbound plan.

GET https://marketplace.walmart.com/seller/v1/inbound/wfs/v4/inboundPlans/{inboundPlanId}/packingOptions

Reference: https://walmart.postmansolutions.com/us-marketplace/api-reference/orders-fulfillment/fulfillment-inbound/wfs-inbound/list-packing-options

## Servers

- `https://marketplace.walmart.com/seller/v1` (Production, default)
- `https://sandbox.marketplace.walmart.com/seller/v1` (Sandbox)

## Request

### Path parameters

- `inboundPlanId` (string, required) — Identifier of an inbound plan.

### Query parameters

- `pageSize` (integer, optional) — The number of packing options to return in the response matching the given query.
- `paginationToken` (string, optional) — A token to fetch a certain page when there are multiple pages worth of results.

## Response

### 200

Success

- `packingOptions` (list of PackingOption, required) — List of packing options.
- `pagination` (Pagination, optional) — Contains tokens to fetch from a certain page.

## Errors

### 400 Bad Request Error

Bad Request

- `errors` (list of Error, required) — List of errors.

### 403 Forbidden Error

Forbidden

- `errors` (list of Error, required) — List of errors.

### 404 Not Found Error

Not Found

- `errors` (list of Error, required) — List of errors.

### 429 Too Many Requests Error

Rate limit exceeded

- `errors` (list of Error, required) — List of errors.

### 500 Internal Server Error

Internal Server Error

- `errors` (list of Error, required) — List of errors.

## Types

### PackingOption

A packing option contains a set of pack groups plus additional information such as any discounts or fees.

- `discounts` (list of Incentive, required) — Discount for the offered option.
- `fees` (list of Incentive, required) — Fee for the offered option.
- `packingGroups` (list of string, required) — Packing group IDs.
- `packingOptionId` (string, required) — Identifier of a packing option.
- `status` (string, required) — The status of the packing option. Possible values: `OFFERED`, `ACCEPTED`, `EXPIRED`.
- `supportedConfigurations` (list of PackingConfiguration, required) — A list of possible configurations for this option.
- `supportedShippingConfigurations` (list of ShippingConfiguration, required) — List of supported shipping modes.
- `expiration` (datetime, optional) — The time at which this packing option is no longer valid. In ISO 8601 datetime format with pattern `yyyy-MM-ddTHH:mm:ss.sssZ`.

### Pagination

Contains tokens to fetch from a certain page.

- `nextToken` (string, optional) — When present, pass this string token in the next request to return the next response page.

### Error

Error object containing information about what went wrong.

- `code` (string, required) — An error code that identifies the type of error that occurred.
- `message` (string, required) — A message that describes the error condition.
- `details` (string, optional) — Additional details that can help the caller understand or fix the issue.

### Incentive

Contains details about cost related modifications to the placement cost.

- `description` (string, required) — Description of the incentive.
- `target` (string, required) — Target of the incentive. Possible values: 'Placement Services', 'Fulfillment Fee Discount'.
- `type` (string, required) — Type of incentive. Possible values: `FEE`, `DISCOUNT`.
- `value` (Currency, required) — The type and amount of currency.

### PackingConfiguration

A way to configure this packing option.

- `boxPackingMethods` (list of enum, optional) — The box content information sources that are allowed.
  - Allowed values: `BOX_CONTENT_PROVIDED`, `MANUAL_PROCESS`, `BARCODE_2D`
- `boxRequirements` (BoxRequirements, optional) — The requirements for a box in the packing option.
- `shippingRequirements` (list of ShippingRequirements, optional) — A list of supported shipping requirements for this packing configuration.

### ShippingConfiguration

The shipping configurations supported for the packing option.

- `shippingMode` (string, optional) — Mode of shipment transportation. Possible values: `GROUND_SMALL_PARCEL`, `FREIGHT_LTL`, `FREIGHT_FTL_PALLET`, `FREIGHT_FTL_NONPALLET`, `OCEAN_LCL`, `OCEAN_FCL`, `AIR_SMALL_PARCEL`, `AIR_SMALL_PARCEL_EXPRESS`.
- `shippingSolution` (string, optional) — Shipping program for the option. Possible values: `WALMART_PARTNERED_CARRIER`, `USE_YOUR_OWN_CARRIER`.

### Currency

The type and amount of currency.

- `amount` (double, required) — Decimal value of the currency.
- `code` (string, required) — ISO 4217 standard currency code.

### BoxRequirements

The requirements for a box in the packing option.

- `weight` (WeightRange, required) — The range of weights that are allowed for a package.

### ShippingRequirements

The possible shipping modes for the packing option for a given shipping solution.

- `modes` (list of string, required) — Available shipment modes for this shipping program.
- `solution` (string, required) — Shipping program for the option. Can be: `WALMART_PARTNERED_CARRIER`, `USE_YOUR_OWN_CARRIER`.

### WeightRange

The range of weights that are allowed for a package.

- `maximum` (double, required) — Maximum allowed weight.
- `minimum` (double, required) — Minimum allowed weight.
- `unit` (enum, required) — Unit of the weight being measured.
  - Allowed values: `LB`, `KG`

## Examples

**Response**

```json
{
  "packingOptions": [
    {
      "discounts": [
        {
          "description": "string",
          "target": "string",
          "type": "string",
          "value": {
            "amount": 1.1,
            "code": "string"
          }
        }
      ],
      "fees": [
        {
          "description": "string",
          "target": "string",
          "type": "string",
          "value": {
            "amount": 1.1,
            "code": "string"
          }
        }
      ],
      "packingGroups": [
        "string"
      ],
      "packingOptionId": "string",
      "status": "string",
      "supportedConfigurations": [
        {
          "boxPackingMethods": [
            "BOX_CONTENT_PROVIDED"
          ],
          "boxRequirements": {
            "weight": {
              "maximum": 1.1,
              "minimum": 1.1,
              "unit": "LB"
            }
          },
          "shippingRequirements": [
            {
              "modes": [
                "string"
              ],
              "solution": "string"
            }
          ]
        }
      ],
      "supportedShippingConfigurations": [
        {
          "shippingMode": "string",
          "shippingSolution": "string"
        }
      ],
      "expiration": "2024-01-15T09:30:00Z"
    }
  ],
  "pagination": {
    "nextToken": "string"
  }
}
```

**SDK Code**

```python
import requests

url = "https://marketplace.walmart.com/seller/v1/inbound/wfs/v4/inboundPlans/inboundPlanId/packingOptions"

response = requests.get(url)

print(response.json())
```

```javascript
const url = 'https://marketplace.walmart.com/seller/v1/inbound/wfs/v4/inboundPlans/inboundPlanId/packingOptions';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://marketplace.walmart.com/seller/v1/inbound/wfs/v4/inboundPlans/inboundPlanId/packingOptions"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://marketplace.walmart.com/seller/v1/inbound/wfs/v4/inboundPlans/inboundPlanId/packingOptions")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://marketplace.walmart.com/seller/v1/inbound/wfs/v4/inboundPlans/inboundPlanId/packingOptions")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://marketplace.walmart.com/seller/v1/inbound/wfs/v4/inboundPlans/inboundPlanId/packingOptions');

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://marketplace.walmart.com/seller/v1/inbound/wfs/v4/inboundPlans/inboundPlanId/packingOptions");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://marketplace.walmart.com/seller/v1/inbound/wfs/v4/inboundPlans/inboundPlanId/packingOptions")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```